1

Recently i had this problem to install Skype DEB or via repo:

https://www.skype.com/en/download-skype/skype-for-linux/downloading-web/?type=weblinux-deb

See the log:

Gtk-WARNING **: Theme directory  imported-Humanity/192 of theme Lubuntu has no size field
A seleccionar pacote anteriormente não seleccionado libpango1.0-0:amd64.
(Lendo banco de dados ... 228056 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../libpango1.0-0_1.40.1-1_amd64.deb ...
A descompactar libpango1.0-0:amd64 (1.40.1-1) ...
Configurando libpango1.0-0:amd64 (1.40.1-1) ...
A seleccionar pacote anteriormente não seleccionado skypeforlinux.
(Lendo banco de dados ... 228063 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../skypeforlinux_1.6.0.3_amd64.deb ...
A descompactar skypeforlinux (1.6.0.3) ...
Configurando skypeforlinux (1.6.0.3) ...
Warning: The postinst maintainerscript of the package skypeforlinux
Warning: seems to use apt-key (provided by apt) without depending on gnupg or gnupg2.
Warning: This will BREAK in the future and should be fixed by the package maintainer(s).
Note: Check first if apt-key functionality is needed at all - it probably isn't!
Warning: apt-key should not be used in scripts (called from postinst maintainerscript of the package skypeforlinux)
OK
/etc/aptsources.list.d is not a folder
dpkg: erro ao processar o pacote skypeforlinux (--install):
 sub-processo script post-installation instalado retornou estado de saída de erro 1
A processar 'triggers' para hicolor-icon-theme (0.15-1) ...
A processar 'triggers' para desktop-file-utils (0.23-1ubuntu1) ...
A processar 'triggers' para mime-support (3.60ubuntu1) ...

Any ideas to solve the problem?

2

Edit /var/lib/dpkg/info/skypeforlinux.postinst and replace

FULLSOURCEDIR=$ROOTFOLDER$ETCFOLDER$SOURCEDIR

with

FULLSOURCEDIR=$ROOTFOLDER$ETCFOLDER/$SOURCEDIR

Then run

sudo apt-get -f install
  • Thanks!!! Solved! Wrong .deb ? – Wellington1993 Sep 12 '16 at 19:46
1

To install skype you need to enable the Canonical partner first:

$ sudo add-apt-repository "deb http://archive.canonical.com/ $(lsb_release -sc) partner"

Then run the following commands:

sudo dpkg --add-architecture i386
sudo apt-get update
sudo apt-get install skype
skype

Or you can install it following the steps described here:

`# make sure you have 'apt-transport-https' installed

dpkg -s apt-transport-https > /dev/null || bash -c "sudo apt-get update; sudo apt-get install apt-transport-https -y" 
curl https://repo.skype.com/data/SKYPE-GPG-KEY | sudo apt-key add - 
echo "deb [arch=amd64] https://repo.skype.com/deb stable main" | sudo tee /etc/apt/sources.list.d/skype-stable.list 
sudo apt-get update 
sudo apt-get install skypeforlinux -y 

` Edit

Skype for Linux Alpha depends on gnome-keyring and libgnome-keyring0 packages for storing credentials. Both of these packages are installed as a dependency for the Skype for Linux Alpha package.

sudo apt-get update
sudo apt-get install gnome-keyring
sudo apt-get install libgnome-keyring0
  • Same problem after all steps: ' Warning: The postinst maintainerscript of the package skypeforlinux Warning: seems to use apt-key (provided by apt) without depending on gnupg or gnupg2. Warning: This will BREAK in the future and should be fixed by the package maintainer(s). Note: Check first if apt-key functionality is needed at all - it probably isn't!' ... :-( – Wellington1993 Sep 2 '16 at 13:51
  • Run sudo apt-get install gnupg2 – GAD3R Sep 2 '16 at 14:05
  • 1
    Good tips but the suggestion from @JasonPeters solved the problem. – Wellington1993 Dec 26 '16 at 1:30

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.